#!/bin/sh

# disable filename globbing
set -f

echo Content-type: text/html
echo
cd ../../eqt/cgi-bin
BASE=`pwd`
unic=`date +%s`
LOG=REP/LOG$unic
RP=REP/RP$unic
APPLDIR=$BASE/appl
DATADIR=$BASE/data
PATH=$PATH:$BASE/ihd/bin:.
REMOTE_USER=$1
TZ=America/Santiago
export PATH APPLDIR DATADIR REMOTE_USER
{
dat=`date +%F" "%T`
echo -n $dat" "
echo -n $*
echo " "$REMOTE_USER
} > $LOG
[ "$4" = "01" ] && IDX="h37^$5"
[ "$4" = "02" ] && IDX="h43^$5"
[ "$4" = "03" ] && IDX="h97^$5"
[ "$4" = "04" ] && IDX="h16^$5"
[ "$4" = "05" ] && IDX="h18^$5"
[ "$4" = "06" ] && IDX="h67^$5"
[ "$4" = "07" ] && IDX="h18^$5"
PACIE=`./appl/sh/pacie $2 |awk -F^ ' function trail(txt) { while (substr(txt,length(txt),1)==" ") txt=substr(txt,1,length(txt)-1); return (txt) }
{ print trail($2);exit }' `
CLIEN=`./appl/sh/pacie $2 |awk -F^ ' { printf "%2.2s",$23;exit }' `
RPX="./RPZ/"$1""$PACIE""$3""$5
[ "$6" = "21" -o "$6" = "1" ] && {
[ -f $RPX ] && ./ereporte$4.cgi $RPX $7 || cat ../noexiste
}
[ "$6" = "1" -o "$6" = "21" ] && exit
#echo Paciente=$PACIE
#echo ./ihd/bin/ihmq reporte$4 h00"^ " h02"^"$1 h04"^"$PACIE h08"^"$3 $IDX "<br>"
REQ=`./ihd/bin/ihmq reporte$4 h00"^ " h02"^"$1 h04"^"$PACIE h08"^"$3 $IDX | awk -F^ '{ print $1 }'`
#echo $REQ
[ "$REQ" = "" ] || ./reporte$4get.cgi $REQ $6
[ "$REQ" = "" ] || exit
PRFR=tmp/PRFR$$
PACR=tmp/PACR$$
./appl/sh/perso $1 >$PRFR
./appl/sh/pacie $2 |head -1 >$PACR
fnac=`awk -F^ ' { if($10+0) print substr($10,7)"-"substr($10,4,2)"-"substr($10,1,2)}' $PACR`
[ "$fnac" = "" ] || {
tod=`date +%Y-%m-%d`
days=$((($(date +%s)-$(date +%s --date $fnac))/(3600*24)))
}
awk ' /brstype.js/ { exit } 
{ print } ' ../reporte$4.html
{
awk -F^ '
function trail(txt) { while (substr(txt,length(txt),1)==" ") txt=substr(txt,1,length(txt)-1); return (txt) }
NR==1 {
rep="'"$4"'"
print "<script language=\"Javascript\">"
printf "document.reporte%s.reporte%sH01.value=\"%s %s %s\"\n",rep,rep,trail($3),trail($4),trail($5)
printf "document.reporte%s.reporte%sH02.value=\"%s\"\n",rep,rep,trail($1)
next
}
{
if("'"$days"'"=="")
printf "document.reporte%s.reporte%sH05.value=\"N/A\"\n",rep,rep
else
{
 days='$days'-30
printf "document.reporte%s.reporte%sH05.value=\"%da %dm\"\n",rep,rep,days/365,days%365/30
}
printf "document.reporte%s.reporte%sH03.value=\"%s %s %s\"\n",rep,rep,trail($5),trail($3),trail($4)
printf "document.reporte%s.reporte%sH04.value=\"%s\"\n",rep,rep,trail($2)
printf "document.reporte%s.reporte%sH06.value=\"%s\"\n",rep,rep,trail($17)
printf "document.reporte%s.reporte%sH08.value=\"%s\"\n",rep,rep,"'"$3"'"
if(rep=="02"||rep=="06")
{
printf "document.reporte%s.reporte%sH10.value=\"%s\"\n",rep,rep,trail($6)
printf "document.reporte%s.reporte%sH11.value=\"%s\"\n",rep,rep,trail(substr($7,index($7,"|")+1))
printf "document.reporte%s.reporte%sH12.value=\"%s\"\n",rep,rep,trail($8)
}
printf "document.getElementById(\"fecharecepcion\").value=\"%s\"\n","'"$tod"'"
printf "document.getElementById(\"cliente\").value=\"%s\"\n","'"$CLIEN"'"
printf "document.getElementById(\"index\").value=\"%2.2s\"\n","'"$5"'"
printf "document.getElementById(\"consultar\").hidden=true\n"
printf "document.getElementById(\"actualizar\").disabled=false\n"
print "</script>"

}' $PRFR $PACR
rm -f $PRFR $PACR
awk ' /brstype.js/ { x=1 } 
x==1 { print } ' ../reporte$4.html

R1=tmp/R1$unic
./ihd/bin/ihmq reporte$4 h00"^ " h02"^"$1 h04"^"$PACIE $IDX >tmp/REQ$unic
REQ=`./ihd/bin/ihmq reporte$4 h00"^ " h02"^"$1 h04"^"$PACIE $IDX | awk -F^ ' {x=$1} END { print x }'`
[ "$REQ" = "" ] && exit
./appl/sh/reporte$4 $REQ | awk -F^ ' 
function trail(txt) { while (substr(txt,length(txt),1)==" ") txt=substr(txt,1,length(txt)-1); return (txt) }
{
rep="'"$4"'"
print "<script language=\"Javascript\">"
print "function copiar(rep) {"
		printf "document.reporte%s.reporte%sH%.2d.value=\"%s\"\n",rep,rep,7,trail($8)
	for(i=10;i<NF-4;i++)
	{
		split($i,rr,"|")
		printf "document.reporte%s.reporte%sH%.2d.value=\"%s\"\n",rep,rep,i-1,trail(rr[1])
	}
printf "rep.hidden=true\n"
printf "for(i=10;i<%d;i++)\n",NF-3
print "{"
printf "	ck=document.reporte%s.elements[i]\n",rep
print "	if(ck.type == \"checkbox\" && ck.value==1) ck.checked=true\n"
print "}"
print "}"
print "</script>"
} ' > $R1
sed -i 's/
/\\n/g' $R1
cat $R1
rm -f $R1
} 2>tmp/error.gen
cat tmp/error.gen
exit

echo | awk '
{
print "<html>"
print "<head>"
print "<body>"
print "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=windows-1252\">"
print "<meta name=\"GENERATOR\" content=\"Inhedo 4gt 1.0\">"
print "<meta name=\"ProgId\" content=\"Inhedo Form Generator\">"
print "<script language=\"Javascript\">"
print "self.close()"
print "</script>"
print "</body>"
print "</head>"
} '

